LLMS_REST_Courses_Controller::get_enrollments_collection_params()
Retrieves the query params for the enrollments objects collection.
Return Return
(array) Collection parameters.
Source Source
File: libraries/lifterlms-rest/includes/server/class-llms-rest-courses-controller.php
public function get_enrollments_collection_params() {
$query_params = $this->enrollments_controller->get_collection_params();
unset( $query_params['post'] );
$query_params['student'] = array(
'description' => __( 'Limit results to a specific student or a list of students. Accepts a single student id or a comma separated list of student ids.', 'lifterlms' ),
'type' => 'string',
'validate_callback' => 'rest_validate_request_arg',
);
return $query_params;
}
Expand full source code Collapse full source code View on GitHub
Changelog Changelog
| Version | Description |
|---|---|
| 1.0.0-beta.1 | Introduced. |